package org.josast.amicalsat;

import java.util.Hashtable;

import org.josast.amicalsat.FrameTlmAmicalsat.LogType;
import org.josast.amicalsat.FrameTlmAmicalsat.M1Type;

//#M1;LOG;[Timestamp];[Boot number];[Up time];[CPU voltage];[CPU temperature]


public class M1TypeFrame extends Frame {

    
	private String timeStamps;
	private String bootNumber;
	private String upTime;
	private String cpuVoltage;
	private Double cpuVoltageVolt;
	private String cpuTemperature;

	@Override
	protected void setUpFrame() {
		M1Type m1type = (M1Type) data.frameTlmEntrySat().payload().tlmAreaSwitch();
		LogType log = (LogType) m1type.tlmSw();
		timeStamps= m1type.timeStamps();
		hash.put("TimeStamp", timeStamps);
		bootNumber= log.bootNumber();
		hash.put("BootNumber", bootNumber);
		upTime=log.upTime();
		hash.put("UpTime", upTime);
		cpuVoltage=log.cpuVoltage();
		hash.put("CpuVoltage", cpuVoltage);
		cpuTemperature =  log.cpuTemperature();
		hash.put("CpuTemperature", cpuTemperature);	
		cpuVoltageVolt=log.cpuVoltageVolt();

	}



}
